curl --request GET \
--url https://demo.enneo.ai/api/mind/export/survey \
--header 'Authorization: Bearer <token>'[
{
"id": 12,
"audience": "agent",
"scale": 5,
"answerStars": 4,
"createdAt": "2024-05-03 08:00:00",
"submittedAt": "2024-05-03 08:02:51"
}
]Export completed customer satisfaction or enneo-user survey responses.
Example request for survey export:
GET /export/survey?limit=1&offset=0&orderByField=submittedAt&orderByDirection=asc&format=json&filters[0][key]=answerStars&filters[0][comparator]=in&filters[0][values][]=5
Large result sets are processed asynchronously (≤ 1,000 rows for Excel or ≤ 300,000 rows for CSV / JSON are returned immediately).
curl --request GET \
--url https://demo.enneo.ai/api/mind/export/survey \
--header 'Authorization: Bearer <token>'[
{
"id": 12,
"audience": "agent",
"scale": 5,
"answerStars": 4,
"createdAt": "2024-05-03 08:00:00",
"submittedAt": "2024-05-03 08:02:51"
}
]JWT-based authentication
Export format. Defaults to the backend defaultDateExportFormat setting.
xlsx, csv, json The number of items to return
1 <= x <= 1000The number of items to skip
x >= 0Column used to order the result set (e.g. submittedAt).
Sort direction applied to orderByField.
asc, desc Export scheduled or returned successfully.